Issue 81502

Summary: Additional information about the publisher of an extension and release notes in the update dialog
Product: General Reporter: joachim.lingner
Component: codeAssignee: joerg.skottke
Status: CLOSED FIXED QA Contact: issues <issues.openoffice.org>
Severity: trivial    
Priority: P3 CC: issues
Version: OOo 1.0.0   
Target Milestone: OOo 2.4   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation on: ---
Developer Difficulty: ---

Description joachim.lingner 2007-09-11 14:07:34 UTC
We probably want a link there which leads to the publisher. The link itself and
display string will be contained in the update information for the respective
extensions.
Comment 1 joachim.lingner 2007-09-11 14:09:32 UTC
.
Comment 2 joachim.lingner 2007-09-18 13:14:53 UTC
I have generalized the code which determines which localized publisher name,
release notes or licence is used. That is, for all 3 items the same code is
used. That makes it necessary to test the simple-license feature again. I have
also adapted the test extensions for the license feature (Locale1.oxt -
Locale5.oxt). See the document at
desktop/test/deployment/simple-licenses/tests-simple-license.odt.

Test extensions for the publisher and release notes can be found at
desktop/test/deployment/update/publisher
jl->jsk: Please ask me for details
Comment 3 pb 2007-11-02 09:47:28 UTC
pb: fixed.
Files changed:
/desktop/source/deployment/gui/Attic/descedit.hxx 1.1.2.1
/desktop/source/deployment/gui/Attic/descedit.cxx 1.1.2.1
/desktop/source/deployment/gui/makefile.mk 1.11.48.1
/desktop/source/deployment/gui/dp_gui.hrc 1.10.50.1
/desktop/source/deployment/gui/dp_gui_updatedialog.hxx 1.3.50.1
/desktop/source/deployment/gui/dp_gui_updatedialog.cxx 1.8.34.2
/desktop/source/deployment/gui/dp_gui_updatedialog.src 1.6.50.1
/svtools/inc/svtools/fixedhyper.hxx 1.2.138.1
/svtools/source/control/fixedhyper.cxx 1.3.120.1
Comment 4 joachim.lingner 2007-11-07 14:17:16 UTC
The file desktop/test/deployment/update/publisher/readme.txt contains
information about what localized publisher and release notes URLs are to be used.
Comment 5 joachim.lingner 2007-11-08 10:25:12 UTC
We need to add support for the case only one information is given, that is,
either the publisher name or the release notes.
Comment 6 joachim.lingner 2007-11-09 16:55:57 UTC
.
Comment 7 joerg.skottke 2007-11-14 06:49:18 UTC
Verified.
Comment 8 joerg.skottke 2008-03-12 10:23:33 UTC
Closed